package cn.com.qmth.am;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;

import com.github.jeffreyning.mybatisplus.conf.EnableMPP;

@EnableMPP
@SpringBootApplication
@EnableScheduling
@Configuration
@MapperScan("cn.com.qmth.am.dao")
public class AmApplication {

    public static void main(String[] args) {
        SpringApplication.run(AmApplication.class, args);
    }

}
