package cn.com.qmth.am.bean.ds;

import java.util.ArrayList;
import java.util.List;

public class OcrMessage {

    private ChatRole role;

    private List<OcrContent> content;

    public OcrMessage(String base64) {
        super();
        this.role = ChatRole.user;
        content = new ArrayList<>();
        content.add(new ImageContent(base64));
        content.add(new TextContent());
    }

    public ChatRole getRole() {
        return role;
    }

    public List<OcrContent> getContent() {
        return content;
    }

}
