package cn.com.qmth.am.enums;

public enum ImportFileName {

	QUESTION_IMPORT("question-import.xlsx"),
	STUDENT_IMPORT("student-import.xlsx"),
	SCORE_IMPORT("score-import.xlsx"),
	;

	private ImportFileName(String name){
		this.name = name;
	}

	private String name;

	public String getName() {
		return name;
	}

	
	public static ImportFileName getByName(String name) {
    	for(ImportFileName r:ImportFileName.values()) {
    		if(r.getName().equals(name)) {
    			return r;
    		}
    	}
    	return null;
    }

}
