package cn.com.qmth.am.enums;

public enum PromptTemplate {

    COMMON("common.ftl"), TRANSLATION("translation.ftl"),;

    private PromptTemplate(String code) {
        this.code = code;
    }

    private String code;

    public String getCode() {
        return code;
    }

    public static PromptTemplate getByCode(String code) {
        for (PromptTemplate r : PromptTemplate.values()) {
            if (r.getCode().equals(code)) {
                return r;
            }
        }
        return null;
    }
}
