package cn.com.qmth.am.service;

import java.io.InputStream;
import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.qmth.am.bean.ImportResult;
import cn.com.qmth.am.entity.QuestionEntity;
import cn.com.qmth.am.enums.DataStatus;

/**
 * 类注释
 */
public interface QuestionService extends IService<QuestionEntity> {

    void importQuestion();

    List<QuestionEntity> findToDispose();

    public ImportResult disposeFile(InputStream inputStream);

    List<QuestionEntity> findByExamId(Long examId);

    void removeBy(Long examId, String subjectCode);

    void updateStatus(Long id, DataStatus processing);

    List<QuestionEntity> findByExamIdAndSubject(Long examId, String subjectCode);

    void resetStatus();
}
