package cn.com.qmth.am.bean.ds;

import java.util.ArrayList;
import java.util.List;

public class MarkingReq extends ChatReq {

    private List<ChatContent> messages;

    public MarkingReq(String modelType) {
        super(modelType);
    }

    public List<ChatContent> getMessages() {
        return messages;
    }

    public void setMessages(List<ChatContent> messages) {
        this.messages = messages;
    }

    public void addMsg(ChatRole role, String msg) {
        if (messages == null) {
            messages = new ArrayList<>();
        }
        ChatContent cc = new ChatContent();
        cc.setRole(role);
        cc.setContent(msg);
        messages.add(cc);
    }
}
