package cn.com.qmth.am.enums;

/**
 * 答题区域类型
 *
 */
public enum AnswerRangeType {

    FIXED("固定区域"), TRACK("轨迹查找"), ALL("全卷"),;

    private AnswerRangeType(String name) {
        this.name = name;
    }

    private String name;

    public String getName() {
        return name;
    }

    public static AnswerRangeType getByName(String name) {
        for (AnswerRangeType r : AnswerRangeType.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
