package cn.com.qmth.am.enums;

/**数据处理状态
 *
 */
public enum DataStatus {

	WAITING("待处理"),
	PROCESSING("处理中"),
	SUCCESS("成功"),
	FAILED("失败"),
	;

	private DataStatus(String name){
		this.name = name;
	}

	private String name;

	public String getName() {
		return name;
	}

	
	public static DataStatus getByName(String name) {
    	for(DataStatus r:DataStatus.values()) {
    		if(r.getName().equals(name)) {
    			return r;
    		}
    	}
    	return null;
    }

}
