package cn.com.qmth.am.enums;

/**数据源类型
 *
 */
public enum DataType {

	MARKING_CLOUD("云阅卷"),
	TEACH_CLOUD("知学知考"),
	;

	private DataType(String name){
		this.name = name;
	}

	private String name;

	public String getName() {
		return name;
	}

	
	public static DataType getByName(String name) {
    	for(DataType r:DataType.values()) {
    		if(r.getName().equals(name)) {
    			return r;
    		}
    	}
    	return null;
    }

}
